Bug 175256 - Update devel/rbenv to 0.4.0
Update devel/rbenv to 0.4.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Marcus von Appen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-13 11:50 UTC by fmb
Modified: 2013-01-26 11:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.49 KB, patch)
2013-01-13 11:50 UTC, fmb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fmb 2013-01-13 11:50:00 UTC

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-13 11:50:09 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Marcus von Appen freebsd_committer 2013-01-19 21:15:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mva

I'll take it.
Comment 3 Marcus von Appen freebsd_committer 2013-01-20 09:13:30 UTC
State Changed
From-To: open->feedback

Why do you use PREFIX/share/rbenv instead of %%DATADIR%%? Is rbenv 
DATADIR-safe? Can we use @dirrm %%DATADIR%% instead of @unexec rm -fr 
...within the pkg-plist file?
Comment 4 dfilter freebsd_committer 2013-01-26 11:06:15 UTC
Author: mva
Date: Sat Jan 26 11:06:01 2013
New Revision: 311004
URL: http://svnweb.freebsd.org/changeset/ports/311004

Log:
  - Update to 0.4.0
  
  PR:		ports/175256
  Submitted by:	Fabian M. Borschel <fmb@onibox.net> (maintainer)

Modified:
  head/devel/rbenv/Makefile
  head/devel/rbenv/distinfo   (contents, props changed)
  head/devel/rbenv/pkg-descr   (contents, props changed)
  head/devel/rbenv/pkg-plist   (contents, props changed)

Modified: head/devel/rbenv/Makefile
==============================================================================
--- head/devel/rbenv/Makefile	Sat Jan 26 10:52:03 2013	(r311003)
+++ head/devel/rbenv/Makefile	Sat Jan 26 11:06:01 2013	(r311004)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	rbenv
-PORTVERSION=	0.3.0
+PORTVERSION=	0.4.0
 CATEGORIES=	devel ruby
 MASTER_SITES=	GH
 
@@ -18,14 +18,16 @@ RUN_DEPENDS=	bash:${PORTSDIR}/shells/bas
 USE_GITHUB=	yes
 GH_ACCOUNT=	sstephenson
 GH_PROJECT=	rbenv
-GH_COMMIT=	b10bdb1
+GH_COMMIT=	9375e99
 GH_TAGNAME=	v${PORTVERSION}
 
 NO_BUILD=	yes
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/bin/ruby-local-exec ${PREFIX}/bin
-	( cd ${WRKSRC}/libexec && ${COPYTREE_BIN} \* ${PREFIX}/libexec )
+	@${INSTALL_SCRIPT} ${WRKSRC}/bin/ruby-local-exec ${PREFIX}/bin
+	@( cd ${WRKSRC}/libexec && ${COPYTREE_BIN} \* ${PREFIX}/libexec )
 	@${LN} -sf ${PREFIX}/libexec/rbenv ${PREFIX}/bin/rbenv
+	@${MKDIR} ${DATADIR}/completions
+	@( cd ${WRKSRC}/completions && ${COPYTREE_BIN} \* ${DATADIR}/completions )
 
 .include <bsd.port.mk>

Modified: head/devel/rbenv/distinfo
==============================================================================
--- head/devel/rbenv/distinfo	Sat Jan 26 10:52:03 2013	(r311003)
+++ head/devel/rbenv/distinfo	Sat Jan 26 11:06:01 2013	(r311004)
@@ -1,2 +1,2 @@
-SHA256 (rbenv-0.3.0.tar.gz) = 445b8d742bbb72a4e65280e655122914d13954566fe7f46c7706f7730bbeaa35
-SIZE (rbenv-0.3.0.tar.gz) = 13703
+SHA256 (rbenv-0.4.0.tar.gz) = e9b54d2d3669e52aed439094fa92aab36d826573e1a4f8dd65241406204a3e23
+SIZE (rbenv-0.4.0.tar.gz) = 16029

Modified: head/devel/rbenv/pkg-descr
==============================================================================
--- head/devel/rbenv/pkg-descr	Sat Jan 26 10:52:03 2013	(r311003)
+++ head/devel/rbenv/pkg-descr	Sat Jan 26 11:06:01 2013	(r311004)
@@ -1,5 +1,5 @@
-rbenv lets you easily switch between multiple versions of Ruby.
-It's simple, unobtrusive, and follows the UNIX tradition of
-single-purpose tools that do one thing well.
+Use rbenv to pick a Ruby version for your application and guarantee
+that your development environment matches production. Put rbenv to work
+with Bundler for painless Ruby upgrades and bulletproof deployments.
 
 WWW: https://github.com/sstephenson/rbenv

Modified: head/devel/rbenv/pkg-plist
==============================================================================
--- head/devel/rbenv/pkg-plist	Sat Jan 26 10:52:03 2013	(r311003)
+++ head/devel/rbenv/pkg-plist	Sat Jan 26 11:06:01 2013	(r311004)
@@ -1,6 +1,7 @@
 bin/rbenv
 bin/ruby-local-exec
 libexec/rbenv
+libexec/rbenv---version
 libexec/rbenv-commands
 libexec/rbenv-completions
 libexec/rbenv-exec
@@ -12,6 +13,7 @@ libexec/rbenv-local
 libexec/rbenv-prefix
 libexec/rbenv-rehash
 libexec/rbenv-root
+libexec/rbenv-sh-rehash
 libexec/rbenv-sh-shell
 libexec/rbenv-shims
 libexec/rbenv-version
@@ -23,3 +25,7 @@ libexec/rbenv-version-origin
 libexec/rbenv-versions
 libexec/rbenv-whence
 libexec/rbenv-which
+%%DATADIR%%/completions/rbenv.bash
+%%DATADIR%%/completions/rbenv.zsh
+@dirrm %%DATADIR%%/completions
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Marcus von Appen freebsd_committer 2013-01-26 11:06:39 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!